language: php

branches:
  # Only test the master branch and SemVer tags.
  only:
    - master
    - /^[[:digit:]]+\.[[:digit:]]+\.[[:digit:]]+.*$/

matrix:
  fast_finish: true
  include:
    - php: 7.2
      env: 'SCENARIO=symfony4 HIGHEST_LOWEST="update"'
    - php: 7.1
      env: 'SCENARIO=symfony4'
    - php: 7.0.11
      env: 'HIGHEST_LOWEST="update"'
    - php: 7.0.11
    - php: 5.6
    - php: 5.5
    - php: 5.4
      env: 'SCENARIO=symfony2 HIGHEST_LOWEST="update --prefer-lowest'

sudo: false

cache:
  apt: true
  directories:
  - "$HOME/.composer/cache"
  - "vendor"

install:
  - 'composer scenario "${SCENARIO}" "${HIGHEST_LOWEST-install}"'

script:
  - composer test

after_success:
  - travis_retry php vendor/bin/coveralls -v
